You are not logged in.

#5701 2013-09-12 12:57:50

christov84
Member
From: West. Australia
Registered: 2013-08-27
Posts: 27

Re: The AMD/ATI Bar & Grill

clfarron4 wrote:
christov84 wrote:

fresh install today and yeah 13.8 doesnt seem to want to install with Xorg 1.14-2 sad(((((

Pacman says it cant find Xorg<1.14

Hmm, that's strange, because I am using 13.6 with 1.14 (I had installed 13.8 with X 1.14 from Vi0L0's repo, but performance was **** because of RAM leakage)/

Heh most things are down to user error with me. Might give that a shot and see if I can get it working

Offline

#5702 2013-09-12 13:08:09

ivdok
Member
From: Nizhniy Novgorod (ru)
Registered: 2013-07-17
Posts: 56
Website

Re: The AMD/ATI Bar & Grill

christov84 wrote:
clfarron4 wrote:
christov84 wrote:

fresh install today and yeah 13.8 doesnt seem to want to install with Xorg 1.14-2 sad(((((

Pacman says it cant find Xorg<1.14

Hmm, that's strange, because I am using 13.6 with 1.14 (I had installed 13.8 with X 1.14 from Vi0L0's repo, but performance was **** because of RAM leakage)/

Heh most things are down to user error with me. Might give that a shot and see if I can get it working

pacman -Syy and/or manual PKGBUILD? When I recently tried to reinstall 13.8, I definitely was able to upgrade to both Xorg 1.14 and 13.8. Still bullshit, but it was installing well.


I use Arch Linux since 14/07/2013. Not that long, I agree, but I don't think what I will change it in near time - extensive wiki, obvious package manager and big, built-up community makes its job. I use Xfce4 as DE, Xfwm4 + Compton as WM, and for DM... "exec startxfce4" and "compton -b" inside .bash_profile big_smile
[ASUS P5QSE2, Pentium dual-core E5300, HD5770, 2GB RAM, 120G ext4 sda, 320G ntfs sdb]

Offline

#5703 2013-09-12 13:45:24

denspirit
Member
From: Belarus
Registered: 2012-06-11
Posts: 9

Re: The AMD/ATI Bar & Grill

Zamajalo wrote:

For everyone having problems with screen backlight, I made a Python script which controls screen backlight with ACPI and aticonfig.
Solution with manual echoing to acpi_video0/brightness is not working for me, so I had to do this way.

Backlight control script can be found here, and example of ACPI handler.sh can be found here.

Script is written and tested on ASUS K73BR with Raden HD 7470M, using catalyst 13.8. I'm using XFCE as DE.

I have an ASUS X53BR with a similar chipset and videocard ( hybrid 6320+7470M).
Have you tried acpi_backlight=vendor in kernel parameters? Works like a charm to me, but need to be careful with xfce brightness (with this parameter it is possible to drive backlight to total zero in applets like this, keys work normally and are bound to certain limits).
And, do you have two videocards like me and disabled one? I can tell some success story about 3.11 kernel radeon.dpm=1 and xf86-video-ati, but my discrete card is unreachable, and the only thing I can do is disable it sad

Offline

#5704 2013-09-15 06:20:35

snowblind
Member
Registered: 2013-07-18
Posts: 34

Re: The AMD/ATI Bar & Grill

This is a kind of "shot in the dark" question that I figured I'd post in here instead of starting a new thread:

I'd heard that the 7970M is actually a rebranded HD6xxx series, and that this means the R600G driver will work with it, instead of radeonsi. Is this true?

EDIT: Nevermind, looks like some of the lower end versions of the 7xxxM series are rebrands of HD6xxx, but the 7970M is a rebrand of the 7870, so is still RadeonSI.

Last edited by snowblind (2013-09-15 06:34:20)

Offline

#5705 2013-09-15 06:35:58

kaszak696
Member
Registered: 2009-05-26
Posts: 543

Re: The AMD/ATI Bar & Grill

snowblind wrote:

This is a kind of "shot in the dark" question that I figured I'd post in here instead of starting a new thread:

I'd heard that the 7970M is actually a rebranded HD6xxx series, and that this means the R600G driver will work with it, instead of radeonsi. Is this true?

http://en.wikipedia.org/wiki/Comparison … sing_units
7970M is a Pitcairn core, so it is a part of Souther Islands cards.


'What can be asserted without evidence can also be dismissed without evidence.' - Christopher Hitchens
'There's no such thing as addiction, there's only things that you enjoy doing more than life.' - Doug Stanhope
GitHub Junkyard

Offline

#5706 2013-09-17 10:22:34

Lord Aro
Member
Registered: 2013-07-29
Posts: 16

Re: The AMD/ATI Bar & Grill

before i break my system, does anyone know if catalyst(-hook) works with the 3.11.1 kernel ?

Offline

#5707 2013-09-17 10:24:30

snack
Member
From: Italy
Registered: 2009-01-13
Posts: 668

Re: The AMD/ATI Bar & Grill

Lord Aro wrote:

before i break my system, does anyone know if catalyst(-hook) works with the 3.11.1 kernel ?

You should specify which card you own. For my Mobile HD3470, catalyst-hook from [catalyst-hd234k] legacy repo works with kernel 3.11.1.

Offline

#5708 2013-09-17 10:35:23

desaparecido
Member
From: Liège, Belgium
Registered: 2010-03-14
Posts: 136

Re: The AMD/ATI Bar & Grill

Lord Aro wrote:

before i break my system, does anyone know if catalyst(-hook) works with the 3.11.1 kernel ?

hi, I use catalyst-generator from [catalyst] repo with HD7970 and works fine... isn't the "hook" version but catalyst works smile

PS I have [testing] enable


KF5 & Plasma5 (git versions) - Awesome WM
ASUS Sabertooth 990FX - AMD FX8350 - ATI Radeon HD 7970
[testing] repo

Offline

#5709 2013-09-17 11:04:27

clfarron4
Member
From: London, UK
Registered: 2013-06-28
Posts: 2,147
Website

Re: The AMD/ATI Bar & Grill

Lord Aro wrote:

before i break my system, does anyone know if catalyst(-hook) works with the 3.11.1 kernel ?

Definitely works with the kernel 3.11.1 and kernel-ck-k10 3.11.1 on my AMD Radeon 6480G.


Claire is fine.
Problems? I have dysgraphia, so clear and concise please.
My public GPG key for package signing
My x86_64 package repository

Offline

#5710 2013-09-17 13:24:12

Zilla
Member
Registered: 2013-09-17
Posts: 8

Re: The AMD/ATI Bar & Grill

Hello everyone!

First of all, let me say, that english is NOT my mothertongue!

Currently I use the open source drivers but I would like to try out the proprietary ones as I can't play any game (but "Towns") on my Radeon 6950

So, I was digging through the wiki and tried to install via the Repo, but my kernel-version is 3.11.

I then went through the AUR and ... well, what can I say. I miss something, because I can't find any Repo or AUR-package that is compatible with xorg 1.14 AND 3.11.

So maybe someone could point me to the right direction? Or is there no such package/repo right now?

Kindest regards,
Zilla

Offline

#5711 2013-09-17 15:59:22

ChemBro
Member
Registered: 2008-10-22
Posts: 667

Re: The AMD/ATI Bar & Grill

Take a look at this wiki page: https://wiki.archlinux.org/index.php/Catalyst

You can use the unofficial repo [catalyst]. Install catalyst-hook, follow the instructions and you should be good to go.

Offline

#5712 2013-09-17 16:08:31

Zilla
Member
Registered: 2013-09-17
Posts: 8

Re: The AMD/ATI Bar & Grill

ChemBro wrote:

Take a look at this wiki page: https://wiki.archlinux.org/index.php/Catalyst

I did that smile

ChemBro wrote:

You can use the unofficial repo [catalyst]. Install catalyst-hook, follow the instructions and you should be good to go.

Hm, I'll try (again). Thanks.

The question is, how can I install all this, without destroying my system?
I mean, I have to uninstall:

"ati-dri", "glamor-egl" etc AND start the daemon... oh well, let's see...

Last edited by Zilla (2013-09-17 16:21:12)

Offline

#5713 2013-09-17 16:41:18

Zilla
Member
Registered: 2013-09-17
Posts: 8

Re: The AMD/ATI Bar & Grill

Great, now it seems to work smile

But I can't play L4D2 now. I get: "Couldn't find required OpenGL entry point 'glGetError'! Either your video card is unsupported, or ..."

well, never make it too easy big_smile

Awesomenauts is working. Yay! (with maaaaany font errors oO)

Last edited by Zilla (2013-09-17 16:52:28)

Offline

#5714 2013-09-17 20:01:02

ChemBro
Member
Registered: 2008-10-22
Posts: 667

Re: The AMD/ATI Bar & Grill

Zilla wrote:

But I can't play L4D2 now. I get: "Couldn't find required OpenGL entry point 'glGetError'! Either your video card is unsupported, or ..."

With Catalyst 13.8 beta 2 (which you need for the newer kernel and xorg), I cannot recommend any Source games, because of a massive memory leak (and other issues with RAM).

For Source games, I prefer the open-source driver radeon. It's as fast as the Catalyst for Source games (if you use the "shader backend" (sb)) and there are no memory leaks at all.

Offline

#5715 2013-09-17 23:57:40

haagch
Member
Registered: 2013-08-17
Posts: 199

Re: The AMD/ATI Bar & Grill

For 3.12-rc* fglrx doesn't compile. http://ati.cchtml.com/show_bug.cgi?id=906

Workaround (?) is comment 1, setting the license to GPL until there's a real fix that is not legally shady.

Offline

#5716 2013-09-18 08:34:01

Zilla
Member
Registered: 2013-09-17
Posts: 8

Re: The AMD/ATI Bar & Grill

I have one more question:

I installed the catalyst-hook, so now whenever there is a Kernel or X.org update, what do I need to do? Do I still need to block them and wait for a new update or something?

Sorry, as said, English is not my mothertongue and I find the wiki a bit confusing on that point.


ChemBro wrote:
Zilla wrote:

But I can't play L4D2 now. I get: "Couldn't find required OpenGL entry point 'glGetError'! Either your video card is unsupported, or ..."

With Catalyst 13.8 beta 2 (which you need for the newer kernel and xorg), I cannot recommend any Source games, because of a massive memory leak (and other issues with RAM).

For Source games, I prefer the open-source driver radeon. It's as fast as the Catalyst for Source games (if you use the "shader backend" (sb)) and there are no memory leaks at all.

I can play now. Only problem is you can't disable multicore-rendering right now (L4D2 problem) and I get micro-lags.

With the open source drivers I couldn't play ANY game AT ALL. Left4Dead2 would start, but playing with black-screen (in game) and 1fps is not cool wink

Offline

#5717 2013-09-18 08:45:51

Fregtux
Member
From: Italy
Registered: 2013-08-01
Posts: 55

Re: The AMD/ATI Bar & Grill

A the moment, actual fglrx version compile with linux 3.11. When you upgrade your system, if kernel and X version are supported by actual fglrx, you only have to upgrade system by pacman -Syu. However, if you notice that linux is installed before linux-headers, you have to run:

# mkinitcpio -p linux

to rebuild initramfs and correctly compile fglrx module (that fails if linux is installed before its headers).


ASUS P8P67 EVO | i7-2600k |RAM 16GB DDR 3 Vengeance@1600MHz | AMD 7950 Sapphire Dual-X | SSD: Samsung 830 250GB | HD: Western Digital Caviar Blue 1TB

Offline

#5718 2013-09-18 10:13:34

Lord Aro
Member
Registered: 2013-07-29
Posts: 16

Re: The AMD/ATI Bar & Grill

or, (assuming you have catalyst-hook) just run:

[sudo] catalyst_build_module all

Offline

#5719 2013-09-18 10:15:22

snack
Member
From: Italy
Registered: 2009-01-13
Posts: 668

Re: The AMD/ATI Bar & Grill

Zilla wrote:

I have one more question:

I installed the catalyst-hook, so now whenever there is a Kernel or X.org update, what do I need to do? Do I still need to block them and wait for a new update or something?

Just give the command:

sudo systemctl enable catalyst-hook

to enable automatic recompilation of kernel module on shutdown after a kernel upgrade.

Offline

#5720 2013-09-18 11:04:00

Jannis
Member
Registered: 2013-06-03
Posts: 32

Re: The AMD/ATI Bar & Grill

ChemBro wrote:
Zilla wrote:

But I can't play L4D2 now. I get: "Couldn't find required OpenGL entry point 'glGetError'! Either your video card is unsupported, or ..."

With Catalyst 13.8 beta 2 (which you need for the newer kernel and xorg), I cannot recommend any Source games, because of a massive memory leak (and other issues with RAM).

For Source games, I prefer the open-source driver radeon. It's as fast as the Catalyst for Source games (if you use the "shader backend" (sb)) and there are no memory leaks at all.

You don't need 13.8 beta 2 for kernel 3.11.1 and xorg-server 1.14.3. I'm using catalyst-hook 13.6-4 from the [catalyst-13.6] repo (it's the same address as the [catalyst] repo, just need to change the title) and it's working okay-ish. There's no memory leak but performance could be better.

Floss drivers should be used on older cards, such as the HD3xxx, HD4xxx and HD5xxx series. Maybe HD6xxx series, too, but I don't know. HD7xxx is definitely not working great with the floss driver yet.

Offline

#5721 2013-09-18 12:08:45

ChemBro
Member
Registered: 2008-10-22
Posts: 667

Re: The AMD/ATI Bar & Grill

Zilla wrote:

With the open source drivers I couldn't play ANY game AT ALL. Left4Dead2 would start, but playing with black-screen (in game) and 1fps is not cool wink

Sounds to me, you didn't enable s3tc (black screen) and the shader backend. I get 50 - 70 fps with my 6670 and you have a 6950, so I don't quite understand this.

Offline

#5722 2013-09-18 14:25:43

meak
Member
Registered: 2013-09-18
Posts: 1

Re: The AMD/ATI Bar & Grill

Hi,

I hope you can help me to fix my mistake, the file log Xorg.0.log is stock here : http://codepad.org/MYnJj7WZ

I fallow the instruction from https://wiki.archlinux.org/index.php/AMD_Catalyst

But when I try to check
$ lsmod | grep fglrx
$ fglrxinfo
I have no answer.

Thanks

Edit:
Sorry it's not true for fglrxinfo I get "Error : unable to open display (null)"

Last edited by meak (2013-09-18 14:32:10)

Offline

#5723 2013-09-18 15:43:56

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,299
Website

Re: The AMD/ATI Bar & Grill

meak wrote:

Hi,

I hope you can help me to fix my mistake, the file log Xorg.0.log is stock here : http://codepad.org/MYnJj7WZ

I fallow the instruction from https://wiki.archlinux.org/index.php/AMD_Catalyst

But when I try to check
$ lsmod | grep fglrx
$ fglrxinfo
I have no answer.

Thanks

Edit:
Sorry it's not true for fglrxinfo I get "Error : unable to open display (null)"

hi, your log said:

(EE) fglrx(0): atiddxDriScreenInit failed. Probably kernel module missing or incompatible. 

try:

# modprobe fglrx

if it will return error you will need something to build fglrx module, like catalyst-hook
if it will return nothing - restart X or reboot ... BUT before you will do that check if fglrx is inside

cat /etc/modules-load.d/catalyst.conf

Edit:
aaah, linux was updated to 3.11.1 smile and you are probably using catalyst package, gimme some time to update it (edit: done)




haagch wrote:

For 3.12-rc* fglrx doesn't compile. http://ati.cchtml.com/show_bug.cgi?id=906

Workaround (?) is comment 1, setting the license to GPL until there's a real fix that is not legally shady.

Thanks for the info! I will wait for rc 2 or 3 before patching, i got some little hope for the change, but looks like it was intentional to brake blobs.

Last edited by Vi0L0 (2013-09-18 17:38:30)

Offline

#5724 2013-09-18 18:58:12

ChemBro
Member
Registered: 2008-10-22
Posts: 667

Re: The AMD/ATI Bar & Grill

http://www2.ati.com/drivers/linux/amd-c … x86_64.zip

Catalyst 13.9 (non-beta).

Can't tell, if this is official, because I don't see a download link at amd.com. Also one at Phoronix says, that this is based on the 13.6 beta driver. No change log, yet.

Offline

#5725 2013-09-18 21:30:46

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,299
Website

Re: The AMD/ATI Bar & Grill

ChemBro wrote:

http://www2.ati.com/drivers/linux/amd-c … x86_64.zip

Catalyst 13.9 (non-beta).

Can't tell, if this is official, because I don't see a download link at amd.com. Also one at Phoronix says, that this is based on the 13.6 beta driver. No change log, yet.

Thanks Bro!
Looks like official. I don't have much time cuz I need to sleep, but I've tested it a little and updated catalyst-total @ AUR for now. It works as good / as bad as 13.6. I think I will move it to the stable, with its 30 fps / v-sync bug (and simple workaround)
Edit: wait... damit, it leaks, still leaks! Gotta be kidding! Sorry for this, let me downgrade catalyst-total and move it to catalyst-test, where it belongs
If you will find this driver leak-clean then let me know, maybe it's something on my side... but I doubt it

Last edited by Vi0L0 (2013-09-18 21:59:47)

Offline

Board footer

Powered by FluxBB